Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361212 - Review Request: perl-Ref-Util - Utility functions for checking references
Summary: Review Request: perl-Ref-Util - Utility functions for checking references
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 13:59 UTC by Paul Howarth
Modified: 2016-08-23 19:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-16 19:22:27 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Paul Howarth 2016-07-28 13:59:02 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Ref-Util/branches/fedora/perl-Ref-Util.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Ref-Util/perl-Ref-Util-0.020-2.fc26.src.rpm

Description:
Ref::Util introduces several functions to help identify references in a faster
and smarter way.

Fedora Account System Username: pghmcfc

This module is required by the current upstream version of MetaCPAN::Client.

Comment 1 Jitka Plesnikova 2016-08-08 10:24:18 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Ref-Util-0.020-2.fc26.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libperl.so.5.24()(64bit)
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(Exporter) >= 5.57
      1 perl(XSLoader)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -qp --provides perl-Ref-Util-0.020-2.fc26.x86_64.rpm | sort | uniq -c
      1 perl(Ref::Util) = 0.020
      1 perl-Ref-Util = 0.020-2.fc26
      1 perl-Ref-Util(x86-64) = 0.020-2.fc26
Binary provides are Ok.

$ rpmlint ./perl-Ref-Util*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package is good.
Approved

Comment 2 Gwyn Ciesla 2016-08-08 15:23:21 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Ref-Util

Comment 3 Fedora Update System 2016-08-08 16:30:05 UTC
perl-Ref-Util-0.020-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6137093555

Comment 4 Fedora Update System 2016-08-08 16:30:11 UTC
perl-Ref-Util-0.020-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-da4724d0a9

Comment 5 Fedora Update System 2016-08-08 16:30:16 UTC
perl-Ref-Util-0.020-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d9ead09

Comment 6 Fedora Update System 2016-08-08 16:30:21 UTC
perl-Ref-Util-0.020-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f5b3935fb7

Comment 7 Fedora Update System 2016-08-09 01:22:31 UTC
perl-Ref-Util-0.020-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6137093555

Comment 8 Fedora Update System 2016-08-09 01:26:01 UTC
perl-Ref-Util-0.020-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d9ead09

Comment 9 Fedora Update System 2016-08-09 02:17:18 UTC
perl-Ref-Util-0.020-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-da4724d0a9

Comment 10 Fedora Update System 2016-08-09 02:18:56 UTC
perl-Ref-Util-0.020-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f5b3935fb7

Comment 11 Fedora Update System 2016-08-16 19:22:24 UTC
perl-Ref-Util-0.020-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-16 22:20:19 UTC
perl-Ref-Util-0.020-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-08-23 19:18:12 UTC
perl-Ref-Util-0.020-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-08-23 19:23:03 UTC
perl-Ref-Util-0.020-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.